Home / Call flows that operators actually trace / Session-Expires and 422
Session-Expires and 422
Session timers name who refreshes the dialog, and 422 tells the caller the interval was below Min-SE.
Learn in 5 minutes
- Read Session-Expires and the refresher parameter
- Retry after 422 using the Min-SE from the response
- Refresh with re-INVITE or UPDATE before the interval ends
Visual
Min-SE is a floor. The absolute minimum in the specification is 90 seconds.
Worked example
Read the 422 The response tells you the floor. The next INVITE has to meet it.
- Dissect the 422.
- Read Min-SE.
- Note the status code class.
Fault
Both sides agreed Session-Expires 1800 refresher=uac. At 1800 seconds the UAS sends BYE. No re-INVITE or UPDATE is in the trace.
The parameter named the UAC. The interval expired with no re-INVITE or UPDATE.
Quiz
Ecosystem
Glossary, sister systems, and the integration seam for this room.
CRM Screen pop uses data the contact center already has: ANI, DNIS, case id. Those values may arrive in SIP headers or in a CTI event after the call is up. The CRM is not a SIP element.
Sources and go deeper
- RFC 4028 — last checked 2026-10
- RFC 3261 §17 — last checked 2026-10
- RFC 3311 — last checked 2026-10